Bug 385651 - RHEL5 cmirror tracker: unable to properly delete a mirror
RHEL5 cmirror tracker: unable to properly delete a mirror
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 16:09 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 16:09:59 EST
Description of problem:
A mirror remove fails to delete the active log device, and thus causes future
mirror operations to fail.

[root@taft-02 ~]# lvremove -f taft
  Logical volume "mirror1" successfully removed
  Logical volume "mirror2" successfully removed
[root@taft-02 ~]# lvcreate -m 1 -n feist -L 4G taft
  Error locking on node taft-04: device-mapper: reload ioctl failed: Invalid
argument
  Failed to activate new LV.
[root@taft-02 ~]# vgchange -an
  0 logical volume(s) in volume group "taft" now active
  Can't deactivate volume group "VolGroup00" with 2 open logical volume(s)
[root@taft-02 ~]# lvremove taft
  Logical volume "feist" successfully removed

[root@taft-02 ~]# dmsetup ls
taft-mirror1_mlog       (253, 2)
taft-mirror2_mlog       (253, 6)
taft-feist_mlog (253, 3)
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)

Version-Release number of selected component (if applicable):
2.6.18-53.el5
cmirror-1.1.0-7
Comment 2 Jonathan Earl Brassow 2008-01-14 17:53:54 EST
failed to close the file desc when done using
Comment 3 Corey Marthaler 2008-01-21 18:28:19 EST
Fix verified in cmirror-1.1.5-4.el5.
Comment 6 errata-xmlrpc 2009-01-20 16:26:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.